# CEGUI::FactoryModule Class Reference

Class that encapsulates access to a dynamic loadable module containing implementations of Windows, Widgets, and their factories. More...

Collaboration diagram for CEGUI::FactoryModule:

[legend]
List of all members.

## Public Member Functions

| FactoryModule (const String &filename)
| Construct the FactoryModule object by loading the dynamic loadable module specified.
virtual | ~FactoryModule (void)
| Destroys the FactoryModule object and unloads any loadable module.
void | registerFactory (const String &type) const
| Register a WindowFactory for type Windows.
uint | registerAllFactories () const
| Register all factories available in this module.

## Detailed Description

Class that encapsulates access to a dynamic loadable module containing implementations of Windows, Widgets, and their factories.

## Constructor & Destructor Documentation

CEGUI::FactoryModule::FactoryModule | ( | const String & | filename | ) |

Construct the FactoryModule object by loading the dynamic loadable module specified.

Parameters:

  | filename | String object holding the filename of a loadable module.

Returns:
  Nothing

CEGUI::FactoryModule::~FactoryModule | ( | void |  | ) | `[virtual]`

Destroys the FactoryModule object and unloads any loadable module.

Returns:
  Nothing

## Member Function Documentation

uint CEGUI::FactoryModule::registerAllFactories | ( |  | ) | const

Register all factories available in this module.

Returns:
  uint value indicating the number of factories registered.

void CEGUI::FactoryModule::registerFactory | ( | const String & | type | ) | const

Register a WindowFactory for type Windows.

Parameters:

  | type | String object holding the name of the Window type a factory is to be registered for.

Returns:
  Nothing.